Subject: draft-ietf-quic-http-29, "4.1.1.2. Field Compression"

From: Julian Reschke <[email-masked]>
Date: Fri, 12 Jun 2020 14:55:15 +0200

> To allow for better compression efficiency, the “Cookie” field
[RFC6265] MAY be split into separate field lines, each with one or more
cookie-pairs, before compression. If a decompressed field section
contains multiple cookie field lines, these MUST be concatenated into a
single octet string using the two-octet delimiter of 0x3B, 0x20 (the
ASCII string “; “) before being passed into a context other than HTTP/2
or HTTP/3, such as an HTTP/1.1 connection, or a generic HTTP server
application.

Maybe it would be good to mention Section 8.1.2.5 of RFC 7540, which
defines the same for HTTP/2, but adds motivation and example.

Best regards, Julian